<?php

$dialog = new JimsCustomerBooking\Template('partial.dialog');

// -----------------------------------------------------------------------------
// Header
// -----------------------------------------------------------------------------
ob_start();

?><img class="{{prefix_class}}__dialog-header-image" src="<?= JIMS_CBP_URL; ?>/build/img/shield.svg" alt="">
    <div class="{{prefix_class}}__dialog-header-inner">
    <h2 class="{{prefix_class}}__dialog-header-heading">All are jobs backed by the Jim's Group Work Guarantee.</h2>
</div><?php

$header = ob_get_clean();

// -----------------------------------------------------------------------------
// Content
// -----------------------------------------------------------------------------
ob_start();

?><p>Jim's Group offers an unlimited guarantee for all work done by Franchisees, with coverage up to a posted limit for independent contractors. Here's how it works:</p>
<ul class="{{prefix_class}}__tick-list">
    <li>If you're unsatisfied with the work, we'll inspect and address any issues.</li>
    <li>If there's disagreement on the quality, we'll agree on an independent expert to assess the job at our expense.</li>
    <li>You don't pay until the issue is resolved.</li>
    <li>If problems aren't fixed within two weeks, any advance payment will be refunded.</li>
    <li>Only if no issues are found by the expert will you be required to pay the full job price and the expert's report cost.</li>
</ul><?php

$content = ob_get_clean();

// -----------------------------------------------------------------------------
// Footer
// -----------------------------------------------------------------------------
ob_start();

?><ul class="{{prefix_class}}__inline-list is-end">
    <li><a class="{{prefix_class}}-button is-ghost" href="https://jims.net/jims-work-guarantee/" target="_blank">See Jim's Work Guarantee</a></li>
    <li><button class="{{prefix_class}}-button {{prefix_class}}-guarantee-toggle">Continue booking</button></li>
</ul><?php

$footer = ob_get_clean();

// -----------------------------------------------------------------------------
// Output dialog
// -----------------------------------------------------------------------------
echo $dialog->render([
    'class' => 'is-guarantee',
    'header' => $header,
    'content' => $content,
    'footer' => $footer,
]);
