<?php

use JimsCustomerBooking\Generators\CBURLGenerator;
use JimsCustomerBooking\JimsPlugin;

// phpcs:disable Generic.Files.LineLength

/**
 * @var int    $division_id
 * @var int    $service_id
 * @var string $class
 */
$generator = new CBURLGenerator(
    array_merge(JimsPlugin::getOptions()->getProperties(), ['divisionId' => $division_id, 'serviceId' => $service_id])
);
?>
<div class="<?php echo $class; ?>">
    <iframe data-src="" src="<?php echo $generator->generate(false); ?>"></iframe>
</div>
