<?php

use JimsCustomerBooking\JimsOptions;
use JimsCustomerBooking\Template;

/**
 * @var string      $title
 * @var array       $fields
 * @var string      $css_class
 * @var JimsOptions $JimsOptions
 * @var array       $pages
 * @var array       $parts
 */

/**
 * @var Template $header
 * @var Template $footer
 */
$header = $footer = null;
extract($parts);
?>


<?php if (!empty($header)) { ?>
    <?php $header->render([
        'title' => 'Link Generator',
        'description' => 'Generate a link to your old booking form',
        'pages' => $pages,
        'url' => get_template_directory_uri(),
    ], true); ?>
<?php } ?>


<div class="<?php echo $css_class; ?>">
    <section class="jims-main">
    </section>
</div>
</div>
</div>
</div>
