<?php

$dialog = new JimsCustomerBooking\Template('partial.dialog');

// -----------------------------------------------------------------------------
// Header
// -----------------------------------------------------------------------------
ob_start();

?><img class="{{prefix_class}}__dialog-header-image" src="<?= JIMS_CBP_URL; ?>/build/img/location-circle.svg" alt="">
    <div class="{{prefix_class}}__dialog-header-inner">
        <h2 class="{{prefix_class}}__dialog-header-heading">Is this the location?</h2>
        <p class="{{prefix_class}}__dialog-header-content js-address-dialog-address jims-wpcb__dialog-address"></p>
</div><?php

$header = ob_get_clean();

// -----------------------------------------------------------------------------
// Content
// -----------------------------------------------------------------------------
ob_start();

?><div class="{{prefix_class}}__map" data-marker="<?= JIMS_CBP_URL; ?>/build/img/locator-solid.svg"></div><?php

$content = ob_get_clean();

// -----------------------------------------------------------------------------
// Footer
// -----------------------------------------------------------------------------
ob_start();

?><ul class="{{prefix_class}}__inline-list is-end">
    <li><button class="{{prefix_class}}-button {{prefix_class}}__dialog-control is-ghost has-cross" value="no">No</button></li>
    <li><button class="{{prefix_class}}-button {{prefix_class}}__dialog-control has-tick" value="yes">Yes</button></li>
</ul><?php

$footer = ob_get_clean();

// -----------------------------------------------------------------------------
// Output dialog
// -----------------------------------------------------------------------------
echo $dialog->render([
    'class' => 'is-address-validation',
    'header' => $header,
    'content' => $content,
    'footer' => $footer,
]);
