<?php

$data = wp_parse_args($data, [
    'class' => '',
    'header' => '',
    'content' => '',
    'footer' => '',
    'dismissable' => true,
]);

?><dialog class="{{prefix_class}}__dialog <?= $data['class']; ?>">
    <div class="{{prefix_class}}__dialog-outer">
        <?php if ($data['dismissable']) { ?>
            <button class="{{prefix_class}}__dialog-close" aria-label="Close guarantee dialog" type="button"></button>
        <?php } ?>
        <div class="{{prefix_class}}__dialog-header">
            <?= $data['header']; ?>
        </div>
        <div class="{{prefix_class}}__dialog-content">
            <?= $data['content']; ?>
        </div>

        <div class="{{prefix_class}}__dialog-footer">
            <?= $data['footer']; ?>
        </div>
    </div>
</dialog>
